<!DOCTYPE html>
<html>
<head>
  <title>Camera Control</title>
  <link rel="stylesheet" href="styles.css">
</head>
<body>
  <div style="width: 400px">
    <form method="post">
      <b>MAIN SETTINGS (dont touch)</b>
      <input type="submit" name="action" value="updateState" style="background-color: #ff7a7a;" onclick="return confirm('Are you sure? This will kill all streams. You WILL be able to restart them')">
    </form>
  </div>
  {% for key, value in data["camState"].items() %}
  <div style="width: 400px">
    <hr/>
    <form method="post">
      <div class="field-wrap">
        <b>{{ key }} cam | Enabled: {{value['enabled']}}</b>
        <input type="hidden" name="Camera" value="{{ key }}"/>
      </div>
      <div class="field-wrap">
        <label for="bitrate">Bitrate (b/s):</label>
        <input type="text" id="bitrate" name="bitrate" value="{{ value['bitrate'] | int }}"/>
      </div>
      <div class="field-wrap">
        <label for="framerate">Framerate:</label>
        <input type="text" id="framerate" name="framerate" value="{{ value['framerate'] | int }}" />
      </div>
      <div class="field-wrap">
        <label for="width">Width:</label>
        <input type="text" id="width" name="width" value="{{ value['width'] | int}}"/>
      </div>
      <div class="field-wrap">
        <label for="height">Height:</label>
        <input type="text" id="height" name="height" value="{{ value['height'] | int}}"/>
      </div>

      <div class="field-wrap">
        <label for="cameraRes">cameraRes:</label>
        <select name="cameraRes" id="cameraRes">
          {% for key2, value2 in data["limits"][key].items() %}
           <option value="{{ key2 }}" {% if value['cameraRes'] == key2 %} selected {% endif %}>{{ key2 }}</option>
          {% endfor %}

        </select>
      </div>

      <div class="field-wrap">
        <label for="flip">Flip:</label>
        <select name="flip" id="flip">
          <option value="0" {% if value['flip'] == 0 %} selected {% endif %}>Identity (no rotation)</option>
          <option value="1" {% if value['flip'] == 1 %} selected {% endif %}>Rotate counter-clockwise 90 degrees</option>
          <option value="2" {% if value['flip'] == 2 %} selected {% endif %}>Rotate 180 degrees</option>
          <option value="3" {% if value['flip'] == 3 %} selected {% endif %}>Rotate clockwise 90 degrees</option>
          <option value="4" {% if value['flip'] == 4 %} selected {% endif %}>Flip horizontally</option>
          <option value="5" {% if value['flip'] == 5 %} selected {% endif %}>Flip across upper right/lower left diagonal</option>
          <option value="6" {% if value['flip'] == 6 %} selected {% endif %}>Flip vertically</option>
          <option value="7" {% if value['flip'] == 7 %} selected {% endif %}>Flip across upper left/lower right diagonal</option>
        </select>
      </div>
      <div class="field-wrap">
        <label for="interpolate">Interpolate:</label>
        <select name="interpolate" id="interpolate">
          <option value="0" {% if value["interpolate"] == 0 %} selected {% endif %}>Nearest</option>
          <option value="1" {% if value["interpolate"] == 1 %} selected {% endif %}>Bilinear</option>
          <option value="2" {% if value["interpolate"] == 2 %} selected {% endif %}>5-Tap</option>
          <option value="3" {% if value["interpolate"] == 3 %} selected {% endif %}>10-Tap</option>
          <option value="4" {% if value["interpolate"] == 4 %} selected {% endif %}>Smart</option>
          <option value="5" {% if value["interpolate"] == 5 %} selected {% endif %}>Nicest</option>
        </select>
      </div>
      <div class="field-wrap">
        <label for="preset">Preset:</label>
        <select name="preset" id="preset">
          <option value="0" {% if value["preset"] == 0 %} selected {% endif %} disabled>DisablePreset (DO NOT USE)</option>
          <option value="1" {% if value["preset"] == 1 %} selected {% endif %}>UltraFastPreset (USE THIS)</option>
          <option value="2" {% if value["preset"] == 2 %} selected {% endif %}>FastPreset</option>
          <option value="3" {% if value["preset"] == 3 %} selected {% endif %}>MediumPreset</option>
          <option value="4" {% if value["preset"] == 4 %} selected {% endif %}>SlowPreset</option>

        </select>
      </div>
      <div class="field-wrap">
        <label for="saturation">Saturation:</label>
        <input type="number" id="saturation" name="saturation" value="{{ value["saturation"] }}" min="0" max="2" step=".01"/>
      </div>
      <div class="field-wrap">
        <label for="contrast">Contrast:</label>
        <input type="number" id="contrast" name="contrast" value="{{ value["contrast"] }}" min="0" max="2" step=".01"/>
      </div>
      <div class="field-wrap">
        <label for="brightness">Brightness:</label>
        <input type="number" id="brightness" name="brightness" value="{{ value["brightness"] }}" min="-1" max="1" step=".01"/>
      </div>
      <div class="field-wrap">
        <label for="cropLeft">Crop Left:</label>
        <input type="number" id="cropLeft" name="cropLeft" value="{{ value["cropLeft"] }}" min="0"/>
      </div>
      <div class="field-wrap">
        <label for="cropRight">Crop Right:</label>
        <input type="number" id="cropRight" name="cropRight" value="{{ value["cropRight"] }}" min="0"/>
      </div>
      <div class="field-wrap">
        <label for="cropTop">Crop Top:</label>
        <input type="number" id="cropTop" name="cropTop" value="{{ value["cropTop"] }}" min="0"/>
      </div>
      <div class="field-wrap">
        <label for="cropBottom">Crop Bot:</label>
        <input type="number" id="cropBottom" name="cropBottom" value="{{ value["cropBottom"] }}" min="0"/>
      </div>
      <input type="hidden" id="enabled" name="enabled" value="{{value['enabled']}}"/>
      <input type="submit" name="action" value="Restart">
      <input type="submit" name="action" value="Stop">
      <input type="submit" name="action" value="Photo">
    </form>
  </div>
  {% endfor %}
</body>
</html>            